# EthanYehuda_CronjobManager 

<p align="center"><img width="400" src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/logo1.png"/></p>

### Cron Job Manager for Magento 2 
_Control your cron_

## Installation

In your Magento2 root directory, you may install this package via composer:

`composer require ethanyehuda/magento2-cronjobmanager`

`php bin/magento setup:upgrade`


## Support

CM Ver. | Magento 2.0 | Magento 2.1 | Magento 2.2 | Magento 2.3
--- | :---: | :---: | :---: | :---:
0.x | :question: | :white_check_mark: | :x: | :x:
1.x | :x: | :x: | :white_check_mark: | :question:


## Usage

### View Cron Jobs On A Timeline

Visualize how your cron jobs are running relative to each other.

Works well with the robust filtering features of uiComponents!

<img src="https://user-images.githubusercontent.com/6549623/32996580-7cc01090-cd52-11e7-8b4d-129d20b1071e.gif"/>

### Dispatch Cron Jobs Manually

Run any cron job, anytime.

Just select, and dispatch.

Useful for _debugging_ a custom cron job's functionality.

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/Dispatch_cron.gif"/>

### View scheduled magento cron jobs

Review all cron jobs that have been scheduled in your Magento2 store.

This includes cron jobs that are scheduled to run,
and cron jobs that have already ran

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/View_cron.gif"/>

### Schedule new magento cron jobs

Create new cron jobs and schedule them whenever you want.

Have more control over when a scheduled task gets run.

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/Create_cron.gif"/>

### Delete scheduled magento cron jobs

Remove any cron job that you do not want to run.

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/Delete_cron.gif"/>

### Update scheduled magento cron jobs

Need to change what time a task needs to run?

Want to force a particular job code run instead?

No problem! Edit to your heart's content.

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/Update_cron.gif"/>

### Flush out old magento cron jobs

Want to flush out old cron jobs that've been sitting around wasting space?

Flush 'em out!

<img src="https://raw.githubusercontent.com/Ethan3600/randomStuff/master/Images/Flush_cron.gif"/>
